| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/scf_implementation.h File Reference

Crystal Space Shared Class Facility (SCF) - implementation creation support. More...

`#include "csextern.h"`
`#include "csutil/array.h"`
`#include "csutil/reftrackeraccess.h"`
`#include "csutil/scf_interface.h"`
`#include "scf_implgen.h"`

Go to the source code of this file.

## Classes
class | scfFakeInterface< If >
| Fugly helper to resolve some bad situations. More...
struct | scfFakeInterface< If >::InterfaceTraits
class | scfImplementation< Class >
| Baseclass for the SCF implementation templates. More...
## Defines
#define | CS_TYPENAME(x) 0
#define | SCF_IN_IMPLEMENTATION_H 1

## Detailed Description

Crystal Space Shared Class Facility (SCF) - implementation creation support.

Definition in file scf_implementation.h.